> For the complete documentation index, see [llms.txt](https://docs.yottalabs.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.yottalabs.ai/api-and-sdk/api-reference-v2/reserves.md).

# Reserves

## List Pod Reserves

> List the authenticated organization's Pod/Serverless reserved capacity and active Pod usage

```json
{"openapi":"3.0.1","info":{"title":"默认模块","version":"1.0.0"},"tags":[{"name":"API v2"},{"name":"Pod Reserves v2"}],"security":[{}],"paths":{"/v2/reserves/pods":{"get":{"summary":"List Pod Reserves","deprecated":false,"description":"List the authenticated organization's Pod/Serverless reserved capacity and active Pod usage","operationId":"listPodReserves","tags":["API v2","Pod Reserves v2"],"parameters":[{"name":"page","in":"query","description":"Page number, 1-based","required":false,"schema":{"type":"integer","format":"int64","description":"Page number, 1-based"}},{"name":"size","in":"query","description":"Page size from 1 to 100","required":false,"schema":{"type":"integer","format":"int64","description":"Page size from 1 to 100"}},{"name":"region","in":"query","description":"Reserved machine region","required":false,"schema":{"type":"string","description":"Reserved machine region"}},{"name":"reserveNodeId","in":"query","description":"Stable customer-facing reserved node ID","required":false,"schema":{"type":"string","description":"Stable customer-facing reserved node ID"}},{"name":"gpuType","in":"query","description":"Exact canonical v2 or raw/database GPU type; GPU display names are not queried","required":false,"schema":{"type":"string","description":"Exact canonical v2 or raw/database GPU type; GPU display names are not queried"}},{"name":"reservationStatus","in":"query","description":"Reservation status","required":false,"schema":{"type":"string","description":"Reservation status","enum":["RESERVED","EXPIRED"]}},{"name":"machineStatus","in":"query","description":"Reserved machine status","required":false,"schema":{"type":"string","description":"Reserved machine status","enum":["IN_USE","IDLE","UNKNOWN","NOT_APPLICABLE"]}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResultV2PageResponseReserveV2Response"}}},"headers":{}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}},"headers":{}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}},"headers":{}},"10000":{"description":"Success","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResultV2PageResponseReserveV2Response"}}},"headers":{}}}}}},"components":{"schemas":{"ResultV2PageResponseReserveV2Response":{"type":"object","properties":{"message":{"type":"string","description":"message"},"code":{"type":"integer","format":"int32","description":"code"},"data":{"$ref":"#/components/schemas/V2PageResponseReserveV2Response","description":"data"}}},"V2PageResponseReserveV2Response":{"type":"object","description":"Paginated Response","properties":{"items":{"type":"array","description":"List of items in the current page","items":{"$ref":"#/components/schemas/ReserveV2Response"}},"page":{"type":"integer","format":"int64","description":"Current page number (1-based)"},"size":{"type":"integer","format":"int64","description":"Number of items per page"},"total":{"type":"integer","format":"int64","description":"Total number of items across all pages"},"pages":{"type":"integer","format":"int64","description":"Total number of pages"}}},"ReserveV2Response":{"type":"object","description":"Reserve response v2","properties":{"id":{"type":"integer","format":"int64","description":"Reserve ID"},"reserveNodeId":{"type":"string","description":"Stable customer-facing reserved node ID"},"region":{"type":"string","description":"Reserved machine region"},"gpuType":{"type":"string","description":"Canonical v2 GPU type"},"gpuDisplayName":{"type":"string","description":"GPU display name"},"gpuCount":{"type":"integer","format":"int32","description":"Total reserved GPU count"},"availableGpuCount":{"type":"integer","format":"int32","description":"Currently available GPU count"},"usedGpuCount":{"type":"integer","format":"int32","description":"GPU count used by owner non-Spot workloads"},"unavailableGpuCount":{"type":"integer","format":"int32","description":"Offline or unavailable GPU count"},"reservationStatus":{"type":"string","nullable":true,"description":"Reservation status","enum":["RESERVED","EXPIRED"]},"machineStatus":{"type":"string","nullable":true,"description":"Reserved machine status","enum":["IN_USE","IDLE","UNKNOWN","NOT_APPLICABLE"]},"startAt":{"type":"integer","format":"int64","description":"Reservation start epoch milliseconds"},"endAt":{"type":"integer","format":"int64","description":"Reservation end epoch milliseconds"},"pods":{"type":"array","description":"Active Pod usage relationships","items":{"$ref":"#/components/schemas/ReserveV2PodResponse"}}}},"ReserveV2PodResponse":{"type":"object","description":"Active Pod usage on a Reserve","properties":{"podId":{"type":"integer","format":"int64","description":"Pod ID"},"gpuCount":{"type":"integer","format":"int32","description":"GPU count used by the Pod"}}},"Result":{"type":"object","properties":{"message":{"type":"string","description":"message"},"code":{"type":"integer","format":"int32","description":"code"},"data":{"description":"data"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.yottalabs.ai/api-and-sdk/api-reference-v2/reserves.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
